gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[taler-deployment] branch master updated: resume old lcov logic from old


From: gnunet
Subject: [taler-deployment] branch master updated: resume old lcov logic from old commits
Date: Wed, 27 Nov 2019 17:07:49 +0100

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 81e5ab6  resume old lcov logic from old commits
81e5ab6 is described below

commit 81e5ab65f286a03bb72e42f21c0d819568228dde
Author: Marcello Stanisci <address@hidden>
AuthorDate: Wed Nov 27 17:07:40 2019 +0100

    resume old lcov logic from old commits
---
 buildbot/coverage.sh | 31 +++++++++++++++++++++++++++++++
 buildbot/master.cfg  |  2 +-
 2 files changed, 32 insertions(+), 1 deletion(-)

diff --git a/buildbot/coverage.sh b/buildbot/coverage.sh
new file mode 100755
index 0000000..8226dfb
--- /dev/null
+++ b/buildbot/coverage.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+set -eu
+
+PAUSE_LOCKFILE=/tmp/buildbot_pause.lock
+
+if [ -f $PAUSE_LOCKFILE ]; then
+echo "The Buildbot is paused, remove ${PAUSE_LOCKFILE} to resume."
+
+# Treat this as error, so dependent schedulers won't fire up.
+exit 1
+fi
+
+source "${HOME}/activate"
+taler-deployment bootstrap
+taler-deployment build
+
+for codebase in merchant exchange ; do
+  TOP="$HOME/sources/${codebase}/"
+  REPORT_DIR="$HOME/sources/${codebase}/coverage_report"
+  cd $TOP
+  TALER_MERCHANTDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+  TALER_EXCHANGEDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+  TALER_AUDITORDB_POSTGRES_CONFIG=$TALER_CHECKDB \
+  make check || exit 1
+  mkdir -p $REPORT_DIR
+  lcov -d $TOP -z
+  lcov -d $TOP -c --no-external -o $REPORT_DIR/coverage.info
+  lcov -r $REPORT_DIR/coverage.info **/test_* -o $REPORT_DIR/rcoverage.info
+  genhtml -o $REPORT_DIR $REPORT_DIR/rcoverage.info
+  chmod a+rx -R $REPORT_DIR
diff --git a/buildbot/master.cfg b/buildbot/master.cfg
index 3d01b01..6edd68b 100644
--- a/buildbot/master.cfg
+++ b/buildbot/master.cfg
@@ -422,7 +422,7 @@ LCOV_FACTORY.addStep(
         name="invalidation",
         description="Invalidating timestamps",
         descriptionDone="timestamps invalidated",
-        command=["./build.sh"],
+        command=["./coverage.sh"],
         workdir="../../deployment/buildbot",
         env={"TALER_CHECKDB": "postgres:///talercheck-${USER}"},
         haltOnFailure=True

-- 
To stop receiving notification emails like this one, please contact
address@hidden.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]